#!/bin/bash

#rpmbuildDir="/run/media/jpc/SanDisk_JPC/distributions/soc/9/rpmbuild"
 rpmbuildDir="/dsk/l2/distributions/soc/9-alma/rpmbuild"
     githash="4294817"


 if [ ! -d ${rpmbuildDir} ]; then
   echo "[ERROR] \"${rpmbuildDir}\" doesn\'t exists."
   exit 1
 fi
 cd ${rpmbuildDir}

 pushd ./SOURCES/gdm-tools
 git archive --format tar.gz -o ../gdm-tools-1.2.git${githash}.tar.gz \
             --prefix=gdm-tools-1.2/ ${githash}
 popd

#rpmbuild -bp SPECS.SoC/gdm-tools.spec \
#         --define "githash ${githash}" \
#         SPECS.SoC/gdm-tools.spec

 rpmbuild -ba --clean \
          --define "githash ${githash}" \
          SPECS.SoC/gdm-tools.spec
